<?php

namespace ModulesGarden\HostingQuotaNotifications\App\UI\Groups\Pages;


use \ModulesGarden\HostingQuotaNotifications\Core\UI\Interfaces\AdminArea;
use \ModulesGarden\HostingQuotaNotifications\Core\UI\Widget\TabsWidget\TabsWidget;
use \ModulesGarden\HostingQuotaNotifications\App\UI\Groups\Pages\Configuration;
use \ModulesGarden\HostingQuotaNotifications\App\Libs;
use ModulesGarden\HostingQuotaNotifications\App\Helper\Request;

class Edit extends TabsWidget implements AdminArea
{
    protected $id   = 'edit_id';
    protected $name = 'edit_name';


    public function initContent()
    {
        $this->addElement(Configuration\Configuration::class);

        if(Libs\Groups\Manage::checkType(Request::getValue('groupid')) == 'tiered')
        {
            $this->addElement(Configuration\Tiered\Tables\Disk::class);
            $this->addElement(Configuration\Tiered\Tables\Bandwidth::class);
        }
        else 
        {
            $this->addElement(Configuration\Fixed\Tables\Disk::class);
            $this->addElement(Configuration\Fixed\Tables\Bandwidth::class);
        }
    }

    
}
